-- Customer specific once-script
--
-- (c) 2016 Facilitor B.V.
--
-- Support: +31 53 4800700
set echo on
spool xstam38163.lst
set define off

--- zet om naar nieuwe verdieping -1 (key = 682)
UPDATE alg_ruimte
   SET alg_verdieping_key = 682
 WHERE alg_ruimte_key IN (SELECT alg_ruimte_key
                            FROM alg_ruimte
                           WHERE alg_verdieping_key IN (392, 395, 390));

-- zet om naar nieuwe verdieping 0 (key = 683)
UPDATE alg_ruimte
   SET alg_verdieping_key = 683
 WHERE alg_ruimte_key IN (SELECT alg_ruimte_key
                            FROM alg_ruimte
                           WHERE alg_verdieping_key in (389,662));

--- zet om naar nieuwe verdieping 1 (key = 684)
UPDATE alg_ruimte
   SET alg_verdieping_key = 684
 WHERE alg_ruimte_key IN (SELECT alg_ruimte_key
                            FROM alg_ruimte
                           WHERE alg_verdieping_key IN (394, 399, 396));

--- zet om naar nieuwe verdieping A (key = 685)
UPDATE alg_ruimte
   SET alg_verdieping_key = 685
 WHERE alg_ruimte_key IN (SELECT alg_ruimte_key
                            FROM alg_ruimte
                           WHERE alg_verdieping_key = 601);

--- zet om naar nieuwe verdieping 2 (key = 686)
UPDATE alg_ruimte
   SET alg_verdieping_key = 686
 WHERE alg_ruimte_key IN (SELECT alg_ruimte_key
                            FROM alg_ruimte
                           WHERE alg_verdieping_key IN (391, 397));

--- zet om naar nieuwe verdieping 7 (key = 687)
UPDATE alg_ruimte
   SET alg_verdieping_key = 687
 WHERE alg_ruimte_key IN (SELECT alg_ruimte_key
                            FROM alg_ruimte
                           WHERE alg_verdieping_key = 398);

COMMIT;

BEGIN
   adm.systrackscriptid (
      '$Id$');
END;
/

spool off                           